QGIS Application - Bug report #14603
Wrong CRS attributed to a raster exported with ArcMap
2016-04-01 06:38 AM - Jérdme Guélat

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.14.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22569
Description

Here's a more detailed description:

1. Export a raster (TIFF) with ArcMap 10. The CRS is the "old" Swiss CRS (EPSG: 21781).
2. Open a QGIS project containing only data with CRS = EPSG 21781, the project CRS is also 21781.
3. Add the raster... Its CRS is now 10001, it is rotated and displayed at a wrong location.

| have the feeling that ArcMap is using a non-standard definition of this CRS... However | only had problems with QGIS. I'm also using this
raster in R and everything was displayed correctly (R also uses GDAL 2). A smaller version of the raster file is attached to this issue (but

the problem is not specific to this file).

Of course everything is OK again if | manually change the CRS of the raster to 21781 in QGIS.

History

#1 - 2016-04-09 08:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

| suggest to close tis as invalid. See below.

QGIS when it opens a raster do not "attribute” any CRS, it just reads the CRS from the datasource, in this case the raster created by arcmap.

This is the CRS definition of the raster you attached:

+proj=omerc +lat_0=46.95240555555556 +lonc=7.439583333333333 +alpha=90 +k=1 +x_0=600000 +y_0=200000 +no_uoff +gamma=0 +ellps=bessel
+towgs84=674.4,15.1,405.3,0,0,0,0 +units=m +no_defs

And this is the definition of EPSG 21781 - http://spatialreference.org/ref/epsg/21781/

+proj=somerc +lat_0=46.95240555555556 +lon_0=7.439583333333333 +k_0=1 +x_0=600000 +y_0=200000 +ellps=bessel
+towgs84=674.374,15.056,405.346,0,0,0,0 +units=m +no_defs

so no surprise that QGIS do not recognize it as 21781. So it seems you are right in the first place, is AM that do not use a standard definition.

#2 - 2016-04-11 12:19 AM - Jérome Guélat

Thanks for looking into this!
http://spatialreference.org/ref/epsg/21781/

| agree that this is an ArcMap problem... but it is pretty annoying for people using both softwares in Switzerland. It also seems that other softwares using
GDAL (R for instance) are able to apply the correct projection (or at least to show the data at the right place).

Then maybe this could be filed as a feature request instead of a bug. What do you think?

#3 - 2016-05-23 08:16 AM - Giovanni Manghi
- Status changed from Feedback to Closed

closed in favor of #14871

Files

raster.zip 14.7 KB 2016-04-01 Jérdme Guélat
